Kea: isc::log::LoggerSpecification Class Reference

| Kea 2.2.0

Public Types | Public Member Functions | List of all members
isc::log::LoggerSpecification Class Reference

`#include <logger_specification.h>`

## Public Types
typedef std::vector< OutputOption >::const_iterator | const_iterator
typedef std::vector< OutputOption >::iterator | iterator

## Public Member Functions
| LoggerSpecification (const std::string &name="", isc::log::Severity severity=isc::log::INFO, int dbglevel=0, bool additive=false)
| Constructor. More...
void | addOutputOption (const OutputOption &option)
| Add output option. More...
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
bool | getAdditive () const
int | getDbglevel () const
std::string | getName () const
isc::log::Severity | getSeverity () const
size_t | optionCount () const
void | reset ()
| Reset back to defaults. More...
void | setAdditive (bool additive)
| Set the additive flag. More...
void | setDbglevel (int dbglevel)
| Set the debug level. More...
void | setName (const std::string &name)
| Set the name of the logger. More...
void | setSeverity (isc::log::Severity severity)
| Set the severity. More...

## Detailed Description

Definition at line 29 of file logger_specification.h.

## Member Typedef Documentation

## ◆ const_iterator

typedef std::vector<OutputOption>::const_iterator isc::log::LoggerSpecification::const_iterator

Definition at line 32 of file logger_specification.h.

## ◆ iterator

typedef std::vector<OutputOption>::iterator isc::log::LoggerSpecification::iterator

Definition at line 31 of file logger_specification.h.

## Constructor & Destructor Documentation

## ◆ LoggerSpecification()

isc::log::LoggerSpecification::LoggerSpecification | ( | const std::string & | name = `""`,
|  | isc::log::Severity | severity = `isc::log::INFO`,
|  | int | dbglevel = `0`,
|  | bool | additive = `false`
| ) |  |
| inline

Constructor.

Parameters

  name | Name of the logger.
  severity | Severity at which this logger logs
  dbglevel | Debug level
  additive | true to cause message logged with this logger to be passed to the parent for logging.

Definition at line 41 of file logger_specification.h.

## Member Function Documentation

## ◆ addOutputOption()

void isc::log::LoggerSpecification::addOutputOption | ( | const OutputOption & | option | ) |
| inline

Add output option.

Parameters

  option | Option to add to the list.

Definition at line 99 of file logger_specification.h.

Referenced by isc::dhcp::test::LogContentTest::LogContentTest(), and isc::process::LoggingInfo::toSpec().

## ◆ begin() [1/2]

iterator isc::log::LoggerSpecification::begin | ( |  | ) |
| inline

Returns
  Iterator to start of output options.

Definition at line 104 of file logger_specification.h.

Referenced by isc::log::LoggerManagerImpl::processSpecification().

## ◆ begin() [2/2]

const_iterator isc::log::LoggerSpecification::begin | ( |  | ) | const
| inline

Returns
  Iterator to start of output options.

Definition at line 109 of file logger_specification.h.

## ◆ end() [1/2]

iterator isc::log::LoggerSpecification::end | ( |  | ) |
| inline

Returns
  Iterator to end of output options.

Definition at line 114 of file logger_specification.h.

Referenced by isc::log::LoggerManagerImpl::processSpecification().

## ◆ end() [2/2]

const_iterator isc::log::LoggerSpecification::end | ( |  | ) | const
| inline

Returns
  Iterator to end of output options.

Definition at line 119 of file logger_specification.h.

## ◆ getAdditive()

bool isc::log::LoggerSpecification::getAdditive | ( |  | ) | const
| inline

Returns
  Return additive flag.

Definition at line 92 of file logger_specification.h.

Referenced by isc::log::LoggerManagerImpl::processSpecification().

## ◆ getDbglevel()

int isc::log::LoggerSpecification::getDbglevel | ( |  | ) | const
| inline

Returns
  Return logger debug level

Definition at line 80 of file logger_specification.h.

Referenced by isc::log::LoggerManagerImpl::processSpecification().

## ◆ getName()

std::string isc::log::LoggerSpecification::getName | ( |  | ) | const
| inline

Returns
  Return logger name.

Definition at line 56 of file logger_specification.h.

Referenced by isc::log::LoggerManagerImpl::processSpecification().

## ◆ getSeverity()

isc::log::Severity isc::log::LoggerSpecification::getSeverity | ( |  | ) | const
| inline

Returns
  Return logger severity.

Definition at line 68 of file logger_specification.h.

Referenced by isc::log::LoggerManagerImpl::processSpecification().

## ◆ optionCount()

size_t isc::log::LoggerSpecification::optionCount | ( |  | ) | const
| inline

Returns
  Number of output specification options.

Definition at line 124 of file logger_specification.h.

Referenced by isc::log::LoggerManagerImpl::processSpecification().

## ◆ reset()

void isc::log::LoggerSpecification::reset | ( |  | ) |
| inline

Reset back to defaults.

Definition at line 129 of file logger_specification.h.

References isc::log::INFO.

## ◆ setAdditive()

void isc::log::LoggerSpecification::setAdditive | ( | bool | additive | ) |
| inline

Set the additive flag.

Parameters

  additive | New value of the additive flag.

Definition at line 87 of file logger_specification.h.

## ◆ setDbglevel()

void isc::log::LoggerSpecification::setDbglevel | ( | int | dbglevel | ) |
| inline

Set the debug level.

Parameters

  dbglevel | New debug level of the logger.

Definition at line 75 of file logger_specification.h.

## ◆ setName()

void isc::log::LoggerSpecification::setName | ( | const std::string & | name | ) |
| inline

Set the name of the logger.

Parameters

  name | Name of the logger.

Definition at line 51 of file logger_specification.h.

## ◆ setSeverity()

void isc::log::LoggerSpecification::setSeverity | ( | isc::log::Severity | severity | ) |
| inline

Set the severity.

Parameters

  severity | New severity of the logger.

Definition at line 63 of file logger_specification.h.

The documentation for this class was generated from the following file:

- logger_specification.h